Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractParameterMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
              org.jboss.beans.metadata.plugins.AbstractParameterMetaData

All Implemented Interfaces:
  Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode, ParameterMetaData

public class AbstractParameterMetaData
extends AbstractFeatureMetaData
implements ParameterMetaData

Metadata for a parameter.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock

Field Summary
`protected String` | `type` The parameter type
`protected ValueMetaData` | `value` The parameter value

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`annotations, description`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractParameterMetaData()` Create a new parameter meta data
`AbstractParameterMetaData(Object value)` Create a new parameter meta data
`AbstractParameterMetaData(String type, Object value)` Create a new parameter meta data
`AbstractParameterMetaData(String type, String value)` Create a new parameter meta data
`AbstractParameterMetaData(String type, ValueMetaData value)` Create a new parameter meta data

Method Summary
`Iterator` | `getChildren()` Return the child nodes
`String` | `getType()` Get the type.
`ValueMetaData` | `getValue()` Get the value.
`void` | `setType(String type)`
`void` | `setValue(ValueMetaData value)`
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`getAnnotations, getDescription, setAnnotations, setDescription, visit`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`visit`

Field Detail

### type

    protected String type

  The parameter type

### value

    protected ValueMetaData value

  The parameter value

Constructor Detail

### AbstractParameterMetaData

    public AbstractParameterMetaData()

  Create a new parameter meta data

### AbstractParameterMetaData

    public AbstractParameterMetaData(Object value)

  Create a new parameter meta data

Parameters:
  `value` - the value

### AbstractParameterMetaData

    public AbstractParameterMetaData(String type,
                                     Object value)

  Create a new parameter meta data

Parameters:
  `type` - the type
  `value` - the value

### AbstractParameterMetaData

    public AbstractParameterMetaData(String type,
                                     String value)

  Create a new parameter meta data

Parameters:
  `type` - the type
  `value` - the string value

### AbstractParameterMetaData

    public AbstractParameterMetaData(String type,
                                     ValueMetaData value)

  Create a new parameter meta data

Parameters:
  `type` - the type
  `value` - the value meta data

Method Detail

### getType

    public String getType()

  Description copied from interface: `ParameterMetaData`
  Get the type.

  Specified by:
    `getType` in interface `ParameterMetaData`
  Returns:
    the type.

### setType

    public void setType(String type)

### getValue

    public ValueMetaData getValue()

  Description copied from interface: `ParameterMetaData`
  Get the value.

  Specified by:
    `getValue` in interface `ParameterMetaData`
  Returns:
    the value.

### setValue

    public void setValue(ValueMetaData value)

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Overrides:
    `getChildren` in class `AbstractFeatureMetaData`

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractFeatureMetaData`

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`
  Overrides:
    `toShortString` in class `AbstractFeatureMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.